mnoGoSearch 3.2.39 reference manual: Full-featured search engine software
Prev | Chapter 9. Miscellaneous | Next

# Using libmnogosearch library

Starting from version 3.0.7, libmnogosearch is available for use in third party applications. You can easily add a search feature into your own application using the library and include files installed in /lib and /include mnoGoSearch's directories. Each application which uses libmnogosearch must include `udmsearch.h` header file.

## `udm-config` script

When compiled with one of the supported SQL back-end, libmnogosearch requires some dependent libraries, for example libmysqlclient. You can find the `udm-config` script in the `/bin` directory of mnoGoSearch's installation. This script helps taking required dependencies into account. The `udm-config` script can take several options in it's command line. By default `udm-config` outputs all available options:

    Usage: ./udm-config [OPTIONS]
    Options:
            [--version]
            [--libs]
            [--cflags]

When executed with --libs command line option, `udm-config` outputs everything needed to libmnogosearch linker flags, for example:

    # ./udm-config --libs
    -lm -L/usr/local/mysql/lib/mysql -lmysqlclient \
    -L/usr/local/udmsearch/lib -lmnogosearch

So you may insert `udm-config` --libs into the CC compiler command line:

    cc myprog.c -o myprog `udm-config --libs`

## mnoGoSearch API

There is no detailed description of the mnoGoSearch API yet. This is because the API is currently under rapid development and may undergo major changes from version to version. You may use `search.c` as an example of application which uses libmnogosearch library.

Prev | Home | Next
Miscellaneous | Up | MySQL fulltext parser plugin